document.addEventListener("DOMContentLoaded", function () {
  var myInput = document.getElementById("myInput");

  myInput.addEventListener("keyup", function () {
    var value = this.value.toLowerCase();
    var rows = document.getElementsByTagName("tr");

    for (var i = 0; i < rows.length; i++) {
      var rowText = rows[i].textContent.toLowerCase();
      rows[i].style.display = rowText.indexOf(value) > -1 ? "" : "none";
    }
  });
});

function includeHTML() {
  var z, i, elmnt, file, xhttp;
  /*loop through a collection of all HTML elements:*/
  z = document.getElementsByTagName("*");
  for (i = 0; i < z.length; i++) {
	elmnt = z[i];
	/*search for elements with a certain attribute:*/
	file = elmnt.getAttribute("w3-include-html");
	if (file) {
	  /*make an HTTP request using the attribute value as the file name:*/
	  xhttp = new XMLHttpRequest();
	  xhttp.onreadystatechange = function () {
		if (this.readyState === 4) {
		  if (this.status === 200) {
			elmnt.innerHTML = this.responseText;
		  }
		  if (this.status === 404) {
			elmnt.innerHTML = "Page not found.";
		  }
		  /*remove the attribute, and call this function once more:*/
		  elmnt.removeAttribute("w3-include-html");
		  includeHTML();
		}
	  };
	  xhttp.open("GET", file, true);
	  xhttp.send();
	  /*exit the function:*/
	  return;
	}
  }
}
